Subject: Re: [PATCH net] xen-netback: Fix slot estimation

From: Zoltan Kiss <[email-masked]>
Date: Fri, 06 Jun 2014 11:20:45 +0100

On 05/06/14 23:02, David Miller wrote:
> From: Zoltan Kiss<[email-masked]>
> Date: Tue, 3 Jun 2014 14:32:16 +0100
>
>> A recent commit (a02eb4 "xen-netback: worse-case estimate in xenvif_rx_action is
>> underestimating") capped the slot estimation to MAX_SKB_FRAGS, but that triggers
>> the next BUG_ON a few lines down, as the packet consumes more slots than
>> estimated.
>> This patch remove that cap, and if the frontend doesn't provide enough slot,
>> put back the skb to the top of the queue and caps rx_last_skb_slots. When the
>> next try also fails, it drops the packet.
>> Capping rx_last_skb_slots is needed because if the frontend never gives enough
>> slots, the ring gets stalled.
>>
>> Signed-off-by: Zoltan Kiss<[email-masked]>
> Like David Laight, I do not like this patch at all.
>
> Yes a crash or BUG_ON triggered is bad, but fixing it by deadlocking
> TCP connections (a silent failure) is not an improvement.
>
> I'm not applying this, sorry.
>
Hi,

I haven't wrote it explicitly, but my other patch "xen-netback: Fix 
handling of skbs requiring too many slots" supersedes this one.